in reply to Getting perldoc to recognize different perl versions

perldoc is itself a perl script.

It searches @INC to find your modules. You just need to stuff your 5.00503 (or whatever you're looking for) directories into the @INC array before the 5.6.1 directories.

So to look at a module in the 5.00503 tree, you could do something like

  perl -I/usr/lib/perl5/site_perl/5.005 `which perldoc` Foo::Bar::Baz
Hope this helps!
  • Comment on Re: Getting perldoc to recognize different perl versions